//+------------------------------------------------------------------+
//|                                                  BadBarsTest.mq4 |
//|                                                         omelette |
//|                                           omelette@oceanfree.net |
//+------------------------------------------------------------------+
#property copyright "omelette"
#property link      "omelette@oceanfree.net"

extern int MaxPips = 100;  // pips between Close/Open of adjacent bars to filter

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   static int OldTime,BadBars;
   
   if (Time[0] != OldTime) {
    OldTime = Time[0];
    bool NewBar = true; }
   else NewBar = false;
   
   if (NewBar && MathAbs(Close[2] - Open[1]) / Point >= MaxPips)
   {
    BadBars++;
    string msg = "Number of Pricebars with a "+MaxPips+" pip difference between Close & Open of adjacent bars = "+BadBars;  
   }
   
   if (StringLen(msg) != 0)
   {
    if (IsVisualMode())
     Comment(msg);
    else Print(msg);
   }  
//----
   return(0);
  }
//+------------------------------------------------------------------+